https://management-test.adyen.com/v1/merchants/{merchantId}/billingEntitiesReturns the billing entities of the merchant account identified in the path. A billing entity is a legal entity where we charge orders to. An order for terminal products must contain the ID of a billing entity. To make this request, your API credential must have one of the following roles: * Management API—Terminal ordering read * Management API—Terminal ordering read and write
The unique identifier of the merchant account.
The name of the billing entity.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://management-test.adyen.com/v1/merchants/{merchantId}/billingEntities' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://management-test.adyen.com/v1/merchants/{merchantId}/billingEntitiesReturns the billing entities of the merchant account identified in the path. A billing entity is a legal entity where we charge orders to. An order for terminal products must contain the ID of a billing entity. To make this request, your API credential must have one of the following roles: * Management API—Terminal ordering read * Management API—Terminal ordering read and write
The unique identifier of the merchant account.
The name of the billing entity.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://management-test.adyen.com/v1/merchants/{merchantId}/billingEntities' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}